#
# uspac4.rb
#   $Id: uspac4.rb,v 1.2 2000/11/18 19:03:49 keiko Exp $
#


require "narray"
require "numru/dcl"
include NumRu::DCL
include Math


NMAX = 50
YMIN = 0.0
YMAX = 50.0
x1 = NArray.sfloat(NMAX+1)
x2 = NArray.sfloat(NMAX+1)

#-- data ---
iseed = 0
for n in 0..NMAX
  y = YMIN + (YMAX-YMIN)*n/NMAX
  x1[n] = 10.0*(exp(-y/20))**2 * exp((rand(iseed)-0.5)*2)**2
  x2[n] = 10.0*(exp(-y/20))**2
end

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm

rundef = glrget('RUNDEF')
grswnd(rundef, rundef, YMIN, YMAX)
usspnt(NMAX+1, x1, rundef)
usspnt(NMAX+1, x2, rundef)
grstrn(3)
uspfit
grstrf

ussttl('MIXING RATIO', 'ppmv', 'HEIGHT', 'km')
usdaxs

uusmkt(2)
uumrk(NMAX+1, x1, rundef)
uulin(NMAX+1, x2, rundef)

grcls

