#
# quick5.rb
#
# $Id: quick5.rb,v 1.1 2000/11/21 03:15:44 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include NMath


nx = 21
ny = 21
xmin = -1.0
xmax = 1.0
ymin = -1.0
ymax = 1.0

u = NArray.sfloat(nx, ny)
v = NArray.sfloat(nx ,ny)

#-- data ----
for j in 0..ny-1
  for i in 0..nx-1
    x = xmin + (xmax-xmin)*i/(nx-1)
    y = ymin + (ymax-ymin)*j/(ny-1)
    u[i,j] = x
    v[i,j] = -y
  end
end

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws
grfrm

grswnd(xmin, xmax, ymin, ymax)
grsvpt(0.2, 0.8, 0.2, 0.8)
grstrn(1)
grstrf

usdaxs
ugvect(u, nx, v, nx, nx, ny)

grcls

